Type to search.

Update a saved object

Base URL
https://{kibana_url}
Auth Deprecated
Warning

This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Updates a single Kibana saved object by type and ID.

For transferring or backing up saved objects, prefer the import and export APIs (POST /api/saved_objects/_import and POST /api/saved_objects/_export).

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

type string · max length: 256 required

The saved object type.

id string · max length: 512 required

The saved object identifier.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

attributes map string to object required
upsert map string to object
version string · max length: 256

Responses

200

A successful update response.

application/json
404

Not found.

application/json
409

A conflict error.

application/json